package com.pj.project.tb_car_no_color;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.pj.utils.sg.*;

/**
 * 工具类：tb_car_no_color -- 车牌颜色
 * @author qzy 
 *
 */
@Component
public class TbCarNoColorUtil {

	
	/** 底层 Mapper 对象 */
	public static TbCarNoColorMapper tbCarNoColorMapper;
	@Autowired
	private void setTbCarNoColorMapper(TbCarNoColorMapper tbCarNoColorMapper) {
		TbCarNoColorUtil.tbCarNoColorMapper = tbCarNoColorMapper;
	}
	
	
	/** 
	 * 将一个 TbCarNoColor 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G] 
	 */
	static void check(TbCarNoColor t) {
		AjaxError.throwByIsNull(t.getId(), "[主键] 不能为空");		// 验证: 主键 
		AjaxError.throwByIsNull(t.getCarNoColor(), "[颜色] 不能为空");		// 验证: 颜色 
		AjaxError.throwByIsNull(t.getStatus(), "[状态] 不能为空");		// 验证: 状态(0=禁用;1=启用) 
	}

	/** 
	 * 获取一个TbCarNoColor (方便复制代码用) [G] 
	 */ 
	static TbCarNoColor getTbCarNoColor() {
		TbCarNoColor t = new TbCarNoColor();	// 声明对象 
		t.setId(0L);		// 主键 
		t.setCarNoColor("");		// 颜色 
		t.setStatus("");		// 状态(0=禁用;1=启用) 
		return t;
	}
	
	
	
	
	
}
